# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.calendar
Class CalendarService.Versions

    java.lang.Object
      com.google.gdata.client.calendar.CalendarService.Versions

Enclosing class:
  CalendarService

    public static final class CalendarService.Versions

extends java.lang.Object

GData versions supported by Google Calendar Service.

Field Summary
`static Version` `V1` Version 1 of the Calendar Data API.
`static Version` `V2` Version 2 of the Calendar Data API.
`static Version` `V2_1` Version 2.1 of the Calendar Data API.

Constructor Summary
`CalendarService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Calendar Data API.

### V2

    public static final Version V2

  Version 2 of the Calendar Data API.

### V2_1

    public static final Version V2_1

  Version 2.1 of the Calendar Data API.

Constructor Detail

### CalendarService.Versions

    public CalendarService.Versions()